/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.adaptive.media.image.internal.configuration;

import com.liferay.adaptive.media.image.configuration.AMImageConfigurationEntry;
import com.liferay.adaptive.media.image.configuration.AMImageConfigurationEntrySerializer;

import org.osgi.service.component.annotations.Component;
import org.osgi.service.component.annotations.Reference;

/**
 * @author Adolfo Pérez
 */
@Component(
	immediate = true, service = AMImageConfigurationEntrySerializer.class
)
public class AMImageConfigurationEntrySerializerImpl
	implements AMImageConfigurationEntrySerializer {

	@Override
	public AMImageConfigurationEntry deserialize(String s) {
		return _amImageConfigurationEntryParser.parse(s);
	}

	@Override
	public String serialize(
		AMImageConfigurationEntry amImageConfigurationEntry) {

		return _amImageConfigurationEntryParser.getConfigurationString(
			amImageConfigurationEntry);
	}

	@Reference
	private AMImageConfigurationEntryParser _amImageConfigurationEntryParser;

}